Debian Bug report logs - #335276
openssh-client: unnecessary prompting about conffile

version graph

Package: openssh-client; Maintainer for openssh-client is Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>; Source for openssh-client is src:openssh.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Sun, 23 Oct 2005 02:48:02 UTC

Severity: important

Merged with 339978

Found in versions openssh-client/1:4.2p1-5, openssh-client/4.2p1-5, openssh-client/1:4.2p1-8, 1:4.3p2-7

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Debian BTS Submission <submit@bugs.debian.org>
Subject: openssh-client: unnecessary prompting about conffile
Date: Sat, 22 Oct 2005 22:14:43 -0400
Package: openssh-client
Version: 4.2p1-5
Severity: important
File: /etc/ssh/ssh_config

There was also a really messy diff about /etc/ssh/moduli.

--- /etc/ssh/ssh_config 2004-03-10 06:29:56.000000000 -0500
+++ /etc/ssh/ssh_config.dpkg-new        2005-10-07 08:11:41.000000000 -0400
@@ -1,4 +1,4 @@
-#      $OpenBSD: ssh_config,v 1.19 2003/08/13 08:46:31 markus Exp $
+#      $OpenBSD: ssh_config,v 1.20 2005/01/28 09:45:53 dtucker Exp $
 
 # This is the ssh client system-wide configuration file.  See
 # ssh_config(5) for more information.  This file provides defaults for
@@ -13,9 +13,11 @@
 # Thus, host-specific definitions should be at the beginning of the
 # configuration file, and defaults at the end.
 
-# Site-wide defaults for various options
+# Site-wide defaults for some commonly used options.  For a comprehensive
+# list of available options, their meanings and defaults, please see the
+# ssh_config(5) man page.
 
-# Host *
+Host *
 #   ForwardAgent no
 #   ForwardX11 no
 #   ForwardX11Trusted yes
@@ -36,3 +38,5 @@
 #   Cipher 3des
 #   Ciphers aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes192-cbc,aes256-cbc
 #   EscapeChar ~
+    SendEnv LANG LC_*
+    HashKnownHosts yes



--- /etc/default/ssh    2003-04-01 18:57:35.000000000 -0500
+++ /etc/default/ssh.dpkg-new   2005-10-07 08:11:41.000000000 -0400
@@ -1,4 +1,4 @@
-# Default settings for ssh. This file is sourced by /bin/sh from
+# Default settings for openssh-server. This file is sourced by /bin/sh from
 # /etc/init.d/ssh.
 
 # Options to pass to sshd


--- /etc/pam.d/ssh      2004-03-10 06:29:05.000000000 -0500
+++ /etc/pam.d/ssh.dpkg-new     2005-10-07 08:09:57.000000000 -0400
@@ -1,8 +1,5 @@
 # PAM configuration for the Secure Shell service
 
-# Disallow non-root logins when /etc/nologin exists.
-auth       required     pam_nologin.so
-
 # Read environment variables from /etc/environment and
 # /etc/security/pam_env.conf.
 auth       required     pam_env.so # [1]
@@ -25,5 +22,8 @@
 # Set up user limits from /etc/security/limits.conf.
 session    required     pam_limits.so
 
+# Set up SELinux capabilities (need modified pam)
+# session  required     pam_selinux.so multiple
+
 # Standard Un*x password updating.
 @include common-password




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #10 received at 335276@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 335276@bugs.debian.org
Subject: me too
Date: Fri, 25 Nov 2005 18:12:50 +0000
I saw that too on upgrades from sarge to current unstable.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #15 received at 335276@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 335276@bugs.debian.org
Subject: Re: Bug#335276: me too
Date: Fri, 25 Nov 2005 19:12:16 +0000
For the record:

18:14 < liw> I think what happened was that ssh was split into
             openssh-client and openssh-server and conffiles moved from
             one package to another, but not in an optimal way
18:15 < liw> but I'm on vacation and my brain is turned off, so I might
             remember wrong
18:15 < tbm> sound sensible
18:16 < liw> I think we have a way of moving conffiles between packages
             without causing the dpkg prompts to happen, but I don't know
             what it is (and also I'm in the same room with two cats that
             are silly), but if not, we need to come up with it
18:17 < _rene_> if there is one, I'd want to know too please :)
18:18  * _rene_ has a similar problem with openoffice.org -> openoffice.org-common....
18:18 < tbm> can someone mail -devel?
18:24 < Kamion> tbm: liw is correct as to the cause, and if somebody knows
                how to avoid it, let me know to
18:24 < Kamion> too

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #20 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335259@bugs.debian.org, 339978@bugs.debian.org, 335276@bugs.debian.org
Cc: tbm@debian.org, cjwatson@debian.org, rene@debian.org, lars@debian.org
Subject: ssh conffile prompts
Date: Wed, 28 Dec 2005 22:50:50 -0500
[Message part 1 (text/plain, inline)]
severity 335259 important
severity 339978 important
merge 335259 3339978 35276
thanks

ssh doesn't handle conffiles the right way at all.  I'm including a
tarball of stuff that failed to work properly while upgrading from
1:3.8.1p1-8.sarge.4 to 1:4.2p1-5, excluding the "moduli" files,
because I don't know if their contents are sensitive..

I think you can do what is necessary with custom MD5 handling as
described at:

  http://www.dpkg.org/ConffileHandling

mozilla and mysql also have this problem.
[ssh.tar.bz2 (application/octet-stream, attachment)]

Merged 335259 335276 339978. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #27 received at 335276@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 335259@bugs.debian.org, 339978@bugs.debian.org, 335276@bugs.debian.org, tbm@debian.org, rene@debian.org, lars@debian.org
Subject: Re: ssh conffile prompts
Date: Sat, 31 Dec 2005 14:09:02 +0000
On Wed, Dec 28, 2005 at 10:50:50PM -0500, Justin Pryzby wrote:
> severity 335259 important
> severity 339978 important
> merge 335259 3339978 35276
> thanks
> 
> ssh doesn't handle conffiles the right way at all.  I'm including a
> tarball of stuff that failed to work properly while upgrading from
> 1:3.8.1p1-8.sarge.4 to 1:4.2p1-5, excluding the "moduli" files,
> because I don't know if their contents are sensitive..
> 
> I think you can do what is necessary with custom MD5 handling as
> described at:
> 
>   http://www.dpkg.org/ConffileHandling

The problem is that the conffiles have moved to different packages (ssh
to openssh-{config,server}). The wiki page above doesn't explicitly
cover this case, although I may be able to work something out from it.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #32 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Rene Engelhard <rene@debian.org>
Cc: 335276@bugs.debian.org, 346282@bugs.debian.org
Subject: Re: Bug#346282: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 15:31:08 -0500
On Fri, Jan 06, 2006 at 09:11:34PM +0100, Rene Engelhard wrote:
> Hi,
> 
> Justin Pryzby wrote:
> > Package: openoffice.org-common
> > Version: 2.0.0-5
> > Severity: important
> > File: /etc/openoffice/psprint.conf
> >  /etc/openoffice/sofficerc
> > 
> [ snip ]
> 
> Right. Which is because those conffiles changed between packages
> (openoffice.org -> openoffice.org-common). I didn't find a description
> anywhere of what to do in this case with conffiles... If you have one...
Yes, in fact I knew that OO had this problem, as witnessed on #335276.
Did you see:

    http://www.dpkg.org/ConffileHandling

In fact I tried to reproduce this conffile takeover prompt, and
failed.  Is there anything special I need to do?  Anything more
complicated than a package which Conflicts+Replaces another package,
both of which contain the conffile?

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #37 received at 335276@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 346282@bugs.debian.org, 335276@bugs.debian.org
Subject: Re: Bug#346282: OO.O-common: conffile prompts on upgrade
Date: Fri, 6 Jan 2006 21:59:00 +0100
[Message part 1 (text/plain, inline)]
Hi,

Justin Pryzby wrote:
> Yes, in fact I knew that OO had this problem, as witnessed on #335276.
> Did you see:
> 
>     http://www.dpkg.org/ConffileHandling

Yes, and I use that. But that doesn't say anything for conffile which
moved between packages instead of move from one place in the fs to another.

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #42 received at 335276@bugs.debian.org (full text, mbox):

From: <Bill.Allombert@math.u-bordeaux1.fr>
To: Colin Watson <cjwatson@debian.org>
Cc: Justin Pryzby <justinpryzby@users.sourceforge.net>, 335259@bugs.debian.org, 339978@bugs.debian.org, 335276@bugs.debian.org, tbm@debian.org, rene@debian.org, lars@debian.org
Subject: Re: ssh conffile prompts
Date: Tue, 24 Jan 2006 18:45:38 +0100
On Sat, Dec 31, 2005 at 02:09:02PM +0000, Colin Watson wrote:
> >   http://www.dpkg.org/ConffileHandling
> 
> The problem is that the conffiles have moved to different packages (ssh
> to openssh-{config,server}). The wiki page above doesn't explicitly
> cover this case, although I may be able to work something out from it.

You can also switch to ucf which is much more flexible.

This bug trigger 6 useless dpkg conffiles handling dring the
sarge to etch upgrade.

Cheers,
Bill.



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #47 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org, 345112@bugs.debian.org, 304066@bugs.debian.org, 345113@bugs.debian.org, 346282@bugs.debian.org, 337992@bugs.debian.org
Subject: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Wed, 25 Jan 2006 22:56:27 -0500
At least 4 major packages are presently affected by conffile prompts
during upgrades from Sarge to current testing, because the name of the
package owning some conffile changed.  When dpkg queries "what is the
md5sum of the old conffile", it probably looks only for md5sums of
files owned by the old package, and so finds nothing, and the usual
logic doesn't apply.

See also bullet 3 of Bill Allombert's message titled "Some bits of
experience gained from handling upgrade-reports"; this is a similar
situation:
  http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html

Bill's simple recipe is to remove the conffile in preinst if the
md5sum of the conffile matches that of the stable version.
http://dpkg.org/ has an even better example, which plays nicely even
for upgrades from versions not in the stable release; it works by
parsing the dpkg status database with sed (and not distinguising
between which package owns a conffile).

During preinst, status contains the old md5sums, and immediately
before calling postinst configure, new conffiles are put into place,
with a prompt if the current md5sum matches neither the stored value
nor the new value.

At the very least, I would expect no unnecessary conffile prompts on
upgrade from sarge to etch; so, I'm sending this now instead of
waiting for myself or someone else to come up with a more complete
solution.

Check out the minimal packages, conf-owner-transfer and
conf-owner-test, which you can use to help understand what is going
on:
  http://justinpryzby.com/debian/conf-owner-transfer_1.tar.gz

I note that it does not preserve conffile removal, and keybuk notes
that errors are not handled (for example, aborted abgrades).

# Start from a fresh state
sudo dpkg -P conf-owner-{test,transfer}

# Start with a single package "conf-owner-test" which owns the
# conffile /etc/confowner.conf; ignore the presence of the second
# package "conf-owner-transfer".
./debian/rules v1

# Build and install version 1.  Note that "conf-owner-transfer" either
# doesn't exist at version 1, or doesn't own the conffile.
dpkg-buildpackage -rfakeroot
sudo dpkg -i ../conf-owner-test_1_all.deb

# Increase the binary package version, and switch which binary package
# owns the conffile.  For simplity, I don't rename the directory.
./debian/rules v2

# Build and install version 2; note that both packages are installed
# in the same dpkg run.  Note the the conffile has been updated
# without prompting.  Repeat the process, after commenting out the
# "rm" line, and note how much nicer it was to not be prompted.
dpkg-buildpackage -rfakeroot
sudo dpkg -i  ../conf-owner-{test,transfer}_2_all.deb

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #52 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org
Subject: unnecessary prompting about conffile
Date: Wed, 1 Mar 2006 14:11:48 -0500
Can I expect to see this bug fixed for etch?

http://bugs.debian.org/335276

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #57 received at 335276@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 335276@bugs.debian.org
Subject: Re: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Sun, 11 Jun 2006 23:50:47 +0200
On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> At least 4 major packages are presently affected by conffile prompts
> during upgrades from Sarge to current testing, because the name of the
> package owning some conffile changed.  When dpkg queries "what is the
> md5sum of the old conffile", it probably looks only for md5sums of
> files owned by the old package, and so finds nothing, and the usual
> logic doesn't apply.

Colin,

This package is the last that remain to be fixed.

> See also bullet 3 of Bill Allombert's message titled "Some bits of
> experience gained from handling upgrade-reports"; this is a similar
> situation:
>   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> 
> Bill's simple recipe is to remove the conffile in preinst if the
> md5sum of the conffile matches that of the stable version.
> http://dpkg.org/ has an even better example, which plays nicely even
> for upgrades from versions not in the stable release; it works by
> parsing the dpkg status database with sed (and not distinguising
> between which package owns a conffile).

I have to say I agree with Justin.

What can I do so that this bug is finally addressed ?
Would you accept a patch that remove the offending file in the preinst
if the md5sum match the sarge version ?

Thanks in advance for your answer,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #62 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: allomber@math.u-bordeaux.fr, 335276@bugs.debian.org
Subject: Re: Bug#335276: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Tue, 13 Jun 2006 12:30:42 -0400
On Sun, Jun 11, 2006 at 11:50:47PM +0200, allomber@math.u-bordeaux.fr wrote:
> On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> > At least 4 major packages are presently affected by conffile prompts
> > during upgrades from Sarge to current testing, because the name of the
> > package owning some conffile changed.  When dpkg queries "what is the
> > md5sum of the old conffile", it probably looks only for md5sums of
> > files owned by the old package, and so finds nothing, and the usual
> > logic doesn't apply.
> 
> Colin,
> 
> This package is the last that remain to be fixed.
Really?  I guess this means that #346282 was fixed by a change in
dpkg?

> > See also bullet 3 of Bill Allombert's message titled "Some bits of
> > experience gained from handling upgrade-reports"; this is a similar
> > situation:
> >   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> > 
> > Bill's simple recipe is to remove the conffile in preinst if the
> > md5sum of the conffile matches that of the stable version.
> > http://dpkg.org/ has an even better example, which plays nicely even
> > for upgrades from versions not in the stable release; it works by
> > parsing the dpkg status database with sed (and not distinguising
> > between which package owns a conffile).
> 
> I have to say I agree with Justin.
> 
> What can I do so that this bug is finally addressed ?
> Would you accept a patch that remove the offending file in the preinst
> if the md5sum match the sarge version ?
BTW, this should really do it even better, and use dpkg rollbacks in
the case that failure occurs, to restore the old conffile.  jadetex
may have the only example of this in the entire archive..

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #67 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Bill.Allombert@math.u-bordeaux1.fr, Ian Jackson <iwj@ubuntu.com>, 346282@bugs.debian.org, 345113@bugs.debian.org, 335276@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: transferring ownership of conffile to avoid dpkg prompt
Date: Mon, 19 Jun 2006 12:50:45 -0400
# openoffice:
found 346282 2.0.1-5

# openssh:
found 335276 1:4.2p1-8
thanks

# This seems to affect upgrades from sarge "mysql-server" but not
# "mysql-server-4.1":
reassign 345113 mysql-server-5.0
reopen 345113
found 345113 5.0.22-2

On Thu, Jun 15, 2006 at 11:34:00AM -0400, pryzbyj wrote:
> On Thu, Jun 15, 2006 at 11:46:41AM +0200, Bill.Allombert@math.u-bordeaux1.fr wrote:
> > On Wed, Jan 25, 2006 at 10:56:27PM -0500, Justin Pryzby wrote:
> > > At least 4 major packages are presently affected by conffile prompts
> > > during upgrades from Sarge to current testing, because the name of the
> > > package owning some conffile changed.  When dpkg queries "what is the
> > > md5sum of the old conffile", it probably looks only for md5sums of
> > > files owned by the old package, and so finds nothing, and the usual
> > > logic doesn't apply.
> > > 
> > > See also bullet 3 of Bill Allombert's message titled "Some bits of
> > > experience gained from handling upgrade-reports"; this is a similar
> > > situation:
> > >   http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html
> > > 
> > > Bill's simple recipe is to remove the conffile in preinst if the
> > > md5sum of the conffile matches that of the stable version.
> > > http://dpkg.org/ has an even better example, which plays nicely even
> > > for upgrades from versions not in the stable release; it works by
> > > parsing the dpkg status database with sed (and not distinguising
> > > between which package owns a conffile).
> > 
> > Hello Rene,
> > 
> > We really have to fix this problem before the release.
> > 
> > What can I do so that this bug is finally addressed ?
> > Would you accept a patch that remove the offending file in the preinst
> > if the md5sum match the sarge version ?
> Were you able to reproduce the bug?  I tried briefly (with current
> dpkg) and failed.  I suspect that upgrading dpkg first will solve the
> problem; but, for etch, there should probably be a package-specific
> "workarounds", so that users don't get prompted even if they don't
> upgrade dpkg first (I don't know if this will be in the release notes,
> or why it would be..).
The prompt is experienced for these three packages when upgrading with
the sarge dpkg, but not with current etch dpkg.  Upgrading dpkg wasn't
in the sarge release notes, only aptitude and doc-base were.  I don't
suppose openoffice can justify a predepency on dpkg (and even that
might not guarantee a new dpkg invocation before installing OOO).
There's no reason to have to manually upgrade it; whatever packages
haven't fixed this yet should still do so; etch+1 won't need such
things, since dpkg will be guaranteed to be of a sufficiently recent
version.

Please see jadetex as an example of how to implement this using dpkg
error handling rollbacks, too.  You should probably run sed on the
dpkg status database instead of using a hardcoded value, though.

BTW, it occurs to me that the dpkg "obsolete" field destroys most
peoples' md5sum extraction from the status file, since dpkg.org
recommends s/.* //, the md5sum will be "obsolete".  I'm not sure when
this interaction will happen, but it means alot of scripts are
broken..  Note that people using awk '{print $2}' or cut -d' ' -f3 or
whatever will get the right result.  I don't know if this matters much
in practice, since I guess dpkg will handle the removal automatically.
I suspect that it won't do the right thing on conffile "move" though I
don't have an example.

Justin



Bug marked as found in version 1:4.2p1-8. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #335259 from all other report(s). Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #80 received at 335276@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Frans Pop <elendil@planet.nl>
Cc: debian-doc@lists.debian.org, debian-release@lists.debian.org, 335276@bugs.debian.org, 339978@bugs.debian.org, Justin Pryzby <justinpryzby@users.sourceforge.net>, Martin Michlmayr <tbm@cyrius.com>, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Lars Wirzenius <liw@iki.fi>
Subject: Re: Bug#397439: openssh-server - upgrade from ssh in sarge kills host keys
Date: Wed, 6 Dec 2006 22:05:52 +0000
On Wed, Dec 06, 2006 at 06:41:52AM +0100, Frans Pop wrote:
> On Wednesday 06 December 2006 06:23, Colin Watson wrote:
> > debian-doc/debian-release: I suggest noting in the release notes that
> > you should not use --purge options to the package management tools
> > until after completing the initial upgrade pass.
> 
> Speaking of release notes for ssh...
> 
> Any plans on solving #335276 and friends before Etch? There are several 
> patches included in those BRs.
> Or should we mention the conffile prompting in the release notes too?

So, I think I have this fixed in openssh 1:4.3p2-7 (intentionally not
bumping to 4.5 and backporting security fixes to make it easier to get
this sort of packaging fix done for etch). Unfortunately, while I've
tried a few different upgrade paths from a clean sarge chroot, I've been
unable to reproduce this problem. Once I upload all this, could somebody
please test it out to verify that it's really fixed?

Thanks, and apologies for the big CC list,

-- 
Colin Watson                                       [cjwatson@debian.org]



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #85 received at 335276-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 335276-close@bugs.debian.org
Subject: Bug#335276: fixed in openssh 1:4.3p2-7
Date: Wed, 06 Dec 2006 23:32:03 +0000
Source: openssh
Source-Version: 1:4.3p2-7

We believe that the bug you reported is fixed in the latest version of
openssh, which is due to be installed in the Debian FTP archive:

openssh-client-udeb_4.3p2-7_powerpc.udeb
  to pool/main/o/openssh/openssh-client-udeb_4.3p2-7_powerpc.udeb
openssh-client_4.3p2-7_powerpc.deb
  to pool/main/o/openssh/openssh-client_4.3p2-7_powerpc.deb
openssh-server-udeb_4.3p2-7_powerpc.udeb
  to pool/main/o/openssh/openssh-server-udeb_4.3p2-7_powerpc.udeb
openssh-server_4.3p2-7_powerpc.deb
  to pool/main/o/openssh/openssh-server_4.3p2-7_powerpc.deb
openssh_4.3p2-7.diff.gz
  to pool/main/o/openssh/openssh_4.3p2-7.diff.gz
openssh_4.3p2-7.dsc
  to pool/main/o/openssh/openssh_4.3p2-7.dsc
ssh-askpass-gnome_4.3p2-7_powerpc.deb
  to pool/main/o/openssh/ssh-askpass-gnome_4.3p2-7_powerpc.deb
ssh-krb5_4.3p2-7_all.deb
  to pool/main/o/openssh/ssh-krb5_4.3p2-7_all.deb
ssh_4.3p2-7_all.deb
  to pool/main/o/openssh/ssh_4.3p2-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335276@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated openssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  6 Dec 2006 23:00:49 +0000
Source: openssh
Binary: ssh-askpass-gnome ssh-krb5 openssh-client-udeb ssh openssh-server openssh-client openssh-server-udeb
Architecture: source powerpc all
Version: 1:4.3p2-7
Distribution: unstable
Urgency: medium
Maintainer: Matthew Vernon <matthew@debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 openssh-client - Secure shell client, an rlogin/rsh/rcp replacement
 openssh-client-udeb - Secure shell client for the Debian installer (udeb)
 openssh-server - Secure shell server, an rshd replacement
 openssh-server-udeb - Secure shell server for the Debian installer (udeb)
 ssh        - Secure shell client and server (transitional package)
 ssh-askpass-gnome - under X, asks user for a passphrase for ssh-add
 ssh-krb5   - Secure shell client and server (transitional package)
Closes: 335259 335276 390986 391248 398436 401483
Changes: 
 openssh (1:4.3p2-7) unstable; urgency=medium
 .
   [ Colin Watson ]
   * Ignore errors from usermod when changing sshd's shell, since it will
     fail if the sshd user is not local (closes: #398436).
   * Remove version control tags from /etc/ssh/moduli and /etc/ssh/ssh_config
     to avoid unnecessary conffile resolution steps for administrators
     (thanks, Jari Aalto; closes: #335259).
   * Fix quoting error in configure.ac and regenerate configure (thanks, Ben
     Pfaff; closes: #391248).
   * When installing openssh-client or openssh-server from scratch, remove
     any unchanged conffiles from the pre-split ssh package to work around a
     bug in sarge's dpkg (thanks, Justin Pryzby and others; closes: #335276).
 .
   [ Russ Allbery ]
   * Create transitional ssh-krb5 package which enables GSSAPI configuration
     in sshd_config (closes: #390986).
   * Default client to attempting GSSAPI authentication.
   * Remove obsolete GSSAPINoMICAuthentication from sshd_config if it's
     found.
   * Add ssh -K option, the converse of -k, to enable GSSAPI credential
     delegation (closes: #401483).
Files: 
 976d80c02546f5b6b8b9254a97cfaec3 1000 net standard openssh_4.3p2-7.dsc
 c38ee430b3f59225b9e96e7ad7529e3c 254719 net standard openssh_4.3p2-7.diff.gz
 f61c287091686f202980ea0981276324 1054 net extra ssh_4.3p2-7_all.deb
 1bcf5661b3340ff11b00be8f293c8a5f 90614 net extra ssh-krb5_4.3p2-7_all.deb
 91a45b129bbf56e07a40e717184b70e4 643674 net standard openssh-client_4.3p2-7_powerpc.deb
 eb03bd0b385940aafaf038659479241a 231148 net optional openssh-server_4.3p2-7_powerpc.deb
 a1e8ffceecf9d60bdcc6dcf8e421064a 100002 gnome optional ssh-askpass-gnome_4.3p2-7_powerpc.deb
 018cb1112ab2bcb45d874a5499184b12 166780 debian-installer optional openssh-client-udeb_4.3p2-7_powerpc.udeb
 1a139b804d28fdc4bb993667f9150747 169888 debian-installer optional openssh-server-udeb_4.3p2-7_powerpc.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFd07Q9t0zAhD6TNERAtbVAJ9yxAAVobbK29ofod+gTa9SKY05vwCcDHVL
pxPLSjXZs8Ylj+eQV8QRIhA=
=hG8h
-----END PGP SIGNATURE-----




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 1:4.3p2-7. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #99 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openssh conffile prompt: /etc/ssh/moduli
Date: Thu, 14 Dec 2006 12:20:10 -0500
reopen 335276
found 335276 1:4.3p2-7
thanks

I'm afraid this just happened again, this time with /etc/ssh/moduli.
I don't know what this file does.  Should it be included with the package?  It
it modified somehow, somewhen?

2006-12-14 11:36:32 upgrade openssh-server 1:4.3p2-6 1:4.3p2-7

$ md5sum /etc/ssh/moduli* openssh-client-1\:4.3p2-6/etc/ssh/moduli
45e8268b1994ab38d5309eed05ba003c  /etc/ssh/moduli
085771ebb2b6cfe60b84ad094de0788a  /etc/ssh/moduli.dpkg-old
d93b0dd7a654a68e39361caff3f3061e  openssh-client-1:4.3p2-6/etc/ssh/moduli



Bug marked as found in version 1:4.3p2-7. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #106 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org
Subject: Re: openssh conffile prompt: /etc/ssh/moduli
Date: Thu, 14 Dec 2006 14:03:45 -0500
On Thu, Dec 14, 2006 at 12:20:10PM -0500, Justin Pryzby wrote:
> reopen 335276
> found 335276 1:4.3p2-7
> thanks
> 
> I'm afraid this just happened again, this time with /etc/ssh/moduli.
> I don't know what this file does.  Should it be included with the package?  It
> it modified somehow, somewhen?
> 
> 2006-12-14 11:36:32 upgrade openssh-server 1:4.3p2-6 1:4.3p2-7
> 
> $ md5sum /etc/ssh/moduli* openssh-client-1\:4.3p2-6/etc/ssh/moduli
> 45e8268b1994ab38d5309eed05ba003c  /etc/ssh/moduli
> 085771ebb2b6cfe60b84ad094de0788a  /etc/ssh/moduli.dpkg-old
> d93b0dd7a654a68e39361caff3f3061e  openssh-client-1:4.3p2-6/etc/ssh/moduli
This seems to be related to #335259; but, I'm somewhat confused, since I was of
the impression that the test was:

  if [ md5sum(new-conffile) = dpkg-status-md5 ]
    # Do nothing; the maintainer did not update the conffile
  else if [ md5sum(file-on-disk) = dpkg-status-md5 ]
    # The maintainer changed the conffile, but the admin did not
    install_new_file
    echo "Installed new file"
  else
    # Both the admin and the maintainer changed it
    conffile_prompt
  endif

This algo should hit the second case and display an informative message, but
not prompt.

A possibly solution might be to
  grep -v '^#    $OpenBSD' |md5sum |sed

I note another case which could be added after the first, avoiding some
needless prompts:

  else if [ md5sum(file-on-disk) = md5sum(new-conffile) ]
    # The admin may have changed the conffile, but the contents are identical
    # to the maintainer's new version
    install_new-conffile



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #111 received at 335276-done@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 335276-done@bugs.debian.org
Subject: Re: Bug#335276: openssh conffile prompt: /etc/ssh/moduli
Date: Sat, 23 Dec 2006 10:33:56 +0000
On Thu, Dec 14, 2006 at 02:03:45PM -0500, Justin Pryzby wrote:
> On Thu, Dec 14, 2006 at 12:20:10PM -0500, Justin Pryzby wrote:
> > reopen 335276
> > found 335276 1:4.3p2-7
> > thanks
> > 
> > I'm afraid this just happened again, this time with /etc/ssh/moduli.
> > I don't know what this file does.  Should it be included with the package?

Yes; it's used for Diffie-Hellman group generation by both ssh-keygen
and sshd. It has a man page and everything ...

> > It it modified somehow, somewhen?

1:4.3p2-7 changed it by request in bug #335259. It is not edited by
maintainer scripts.

> > 2006-12-14 11:36:32 upgrade openssh-server 1:4.3p2-6 1:4.3p2-7
> > 
> > $ md5sum /etc/ssh/moduli* openssh-client-1\:4.3p2-6/etc/ssh/moduli
> > 45e8268b1994ab38d5309eed05ba003c  /etc/ssh/moduli
> > 085771ebb2b6cfe60b84ad094de0788a  /etc/ssh/moduli.dpkg-old
> > d93b0dd7a654a68e39361caff3f3061e  openssh-client-1:4.3p2-6/etc/ssh/moduli

Well, that almost certainly indicates that you modified it
inadvertently, perhaps in the process of resolving a previous conffile
prompt from an upgrade before this bug was fixed. Please only reopen
this bug if you can demonstrate that it was a truly unmodified conffile.

Not *all* conffile prompts are bugs - only those where the admin
genuinely never touched the conffile. openssh's maintainer scripts don't
touch that file other than sometimes removing it to work around the old
dpkg bug that was the original cause of this bug report.

> This seems to be related to #335259; but, I'm somewhat confused, since I was of
> the impression that the test was:
> 
>   if [ md5sum(new-conffile) = dpkg-status-md5 ]
>     # Do nothing; the maintainer did not update the conffile
>   else if [ md5sum(file-on-disk) = dpkg-status-md5 ]
>     # The maintainer changed the conffile, but the admin did not
>     install_new_file
>     echo "Installed new file"
>   else
>     # Both the admin and the maintainer changed it
>     conffile_prompt
>   endif
> 
> This algo should hit the second case and display an informative message, but
> not prompt.
> 
> A possibly solution might be to
>   grep -v '^#    $OpenBSD' |md5sum |sed

All the logic above is in dpkg, not openssh, so hardcoding OpenBSD would
make no sense. There is absolutely no way I'm going to edit
/var/lib/dpkg/status from openssh's maintainer scripts, if that's what
you're suggesting.

> I note another case which could be added after the first, avoiding some
> needless prompts:
> 
>   else if [ md5sum(file-on-disk) = md5sum(new-conffile) ]
>     # The admin may have changed the conffile, but the contents are identical
>     # to the maintainer's new version
>     install_new-conffile

Perhaps you should look at dpkg/src/configure.c, which already contains
such a test.

                        if (!strcmp(currenthash,newdisthash)) {
                                /* They're both the same so there's no point asking silly questions. */
                                useredited= -1;
                                distedited= -1;
                                what= cfo_identical;
                        }

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #121 received at 335276@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 335276@bugs.debian.org
Subject: Re: Bug#335276: openssh conffile prompt: /etc/ssh/moduli
Date: Sat, 23 Dec 2006 11:16:55 +0000
On Sat, Dec 23, 2006 at 10:33:56AM +0000, Colin Watson wrote:
> On Thu, Dec 14, 2006 at 02:03:45PM -0500, Justin Pryzby wrote:
> > On Thu, Dec 14, 2006 at 12:20:10PM -0500, Justin Pryzby wrote:
> > > 2006-12-14 11:36:32 upgrade openssh-server 1:4.3p2-6 1:4.3p2-7
> > > 
> > > $ md5sum /etc/ssh/moduli* openssh-client-1\:4.3p2-6/etc/ssh/moduli
> > > 45e8268b1994ab38d5309eed05ba003c  /etc/ssh/moduli
> > > 085771ebb2b6cfe60b84ad094de0788a  /etc/ssh/moduli.dpkg-old
> > > d93b0dd7a654a68e39361caff3f3061e  openssh-client-1:4.3p2-6/etc/ssh/moduli
> 
> Well, that almost certainly indicates that you modified it
> inadvertently, perhaps in the process of resolving a previous conffile
> prompt from an upgrade before this bug was fixed. Please only reopen
> this bug if you can demonstrate that it was a truly unmodified conffile.

In fact, 085771ebb2b6cfe60b84ad094de0788a was the md5sum in ssh
1:3.8.1p1-8, so this simply indicates that you answered "no, keep my
changes" to the previous erroneous conffile prompt during a previous
post-sarge upgrade, from which point on dpkg believes that you modified
the conffile locally. The bug that caused this erroneous conffile prompt
has been fixed, and the rest is not a bug.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #126 received at 335276@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Colin Watson <cjwatson@debian.org>
Cc: 335276@bugs.debian.org
Subject: Re: Bug#335276: openssh conffile prompt: /etc/ssh/moduli
Date: Tue, 9 Jan 2007 04:00:23 -0500
On Sat, Dec 23, 2006 at 11:16:55AM +0000, Colin Watson wrote:
> On Sat, Dec 23, 2006 at 10:33:56AM +0000, Colin Watson wrote:
> > On Thu, Dec 14, 2006 at 02:03:45PM -0500, Justin Pryzby wrote:
> > > On Thu, Dec 14, 2006 at 12:20:10PM -0500, Justin Pryzby wrote:
> > > > 2006-12-14 11:36:32 upgrade openssh-server 1:4.3p2-6 1:4.3p2-7
> > > > 
> > > > $ md5sum /etc/ssh/moduli* openssh-client-1\:4.3p2-6/etc/ssh/moduli
> > > > 45e8268b1994ab38d5309eed05ba003c  /etc/ssh/moduli
> > > > 085771ebb2b6cfe60b84ad094de0788a  /etc/ssh/moduli.dpkg-old
> > > > d93b0dd7a654a68e39361caff3f3061e  openssh-client-1:4.3p2-6/etc/ssh/moduli
> > 
> > Well, that almost certainly indicates that you modified it
> > inadvertently, perhaps in the process of resolving a previous conffile
> > prompt from an upgrade before this bug was fixed. Please only reopen
> > this bug if you can demonstrate that it was a truly unmodified conffile.
> 
> In fact, 085771ebb2b6cfe60b84ad094de0788a was the md5sum in ssh
> 1:3.8.1p1-8, so this simply indicates that you answered "no, keep my
> changes" to the previous erroneous conffile prompt during a previous
> post-sarge upgrade, from which point on dpkg believes that you modified
> the conffile locally. The bug that caused this erroneous conffile prompt
> has been fixed, and the rest is not a bug.
This makes sense; thanks for the analysis.

BTW, you have referred to a dpkg bug, in particular "coruption of the
status database" or such.  Can you provide a reference for this?  All
I'm aware of that dpkg was patched post-sarge to avoid conffile
prompts, and to remove obsolete conffiles.

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Vernon <matthew@debian.org>:
Bug#335276; Package openssh-client. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Vernon <matthew@debian.org>. Full text and rfc822 format available.

Message #131 received at 335276@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 335276@bugs.debian.org
Subject: Re: Bug#335276: openssh conffile prompt: /etc/ssh/moduli
Date: Tue, 9 Jan 2007 14:27:31 +0000
On Tue, Jan 09, 2007 at 04:00:23AM -0500, Justin Pryzby wrote:
> BTW, you have referred to a dpkg bug, in particular "coruption of the
> status database" or such.  Can you provide a reference for this?  All
> I'm aware of that dpkg was patched post-sarge to avoid conffile
> prompts, and to remove obsolete conffiles.

See bug #108587, in particular Ian Jackson's comments and patch near the
end.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 18:50:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:20:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.